<?php
 
 
 

namespace PhpWA\Protocol\Proto\StatusAttribution;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class RLAttribution extends \Google\Protobuf\Internal\Message
{
    


    protected $source = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSource()
    {
        return isset($this->source) ? $this->source : 0;
    }

    public function hasSource()
    {
        return isset($this->source);
    }

    public function clearSource()
    {
        unset($this->source);
    }

    




    public function setSource($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\StatusAttribution\RLAttribution\Source::class);
        $this->source = $var;

        return $this;
    }

}

